Bug 1894041 - [v2v][[Testday]VM import from VMware/RHV] VM import wizard: The target storage class name is not displayed if default storage class is used.
Summary: [v2v][[Testday]VM import from VMware/RHV] VM import wizard: The target storag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 12:22 UTC by Ilanit Stein
Modified: 2021-02-24 15:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:30:54 UTC
Target Upstream Version:
istein: needinfo+
istein: needinfo+


Attachments (Terms of Use)
screenshot (40.73 KB, image/png)
2020-12-27 12:18 UTC, Ilanit Stein
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7634 0 None closed Bug 1894041: VM import wizard: The target storage class name is not displayed 2021-01-20 14:13:51 UTC
Github openshift console pull 7675 0 None closed Bug 1894041: VM import wizard: The target storage class name is not displayed 2021-01-20 14:13:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:30:56 UTC

Description Ilanit Stein 2020-11-03 12:22:08 UTC
Description of problem:
VM import from VMware/VM, without specifying the target storage class.
import wizard, storage tab displays the target storage class name: "-".
It should display the name of the default storage class.

Version-Release number of selected component (if applicable):
OCP-4.6/CNV-2.5

Additional info:
Corner case: If there is more than one default storage class, the VM import should be blocked.

Comment 1 Ilanit Stein 2020-11-03 12:31:19 UTC
This bug was reported during the "Migration to Openshift Virtualization Test day" on Oct 20 2020.

Comment 4 Ilanit Stein 2020-12-27 12:17:03 UTC
Tested on Openshift 4.7.0-fc.0
Issue is still not fixed.
Please see "screenshot" attached.

Comment 5 Ilanit Stein 2020-12-27 12:18:12 UTC
Created attachment 1742260 [details]
screenshot

Comment 6 Gilad Lekner 2020-12-29 11:15:17 UTC
Hey @istein@redhat.com 

Can you make sure that:

1) The user has permissions to 'list' the StorageClassModel.
2) At least one Storage Class has the annotation 'storageclass.kubernetes.io/is-default-class': true

Comment 7 Ilanit Stein 2020-12-29 13:01:59 UTC
Apparently the fix was included yet on my environment. I'll verify it again on a newly deployed environment.

Comment 9 Ilanit Stein 2021-01-12 07:38:34 UTC
Verified on 4.7.0-fc.1

Comment 12 errata-xmlrpc 2021-02-24 15:30:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.